## prips 0.9.4

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2
LIBS=-lm

all: prips

prips: main.o prips.o except.o
	$(CC) $(CFLAGS) $(LIBS) -o prips main.o prips.o except.o
main.o: main.c prips.c
	$(CC) $(CFLAGS) -c main.c

prips.o: prips.c prips.h
	$(CC) $(CFLAGS) -c prips.c 

except.o: except.c except.h
	$(CC) $(CFLAGS) -c except.c

clean:	
	$(RM) core *~ *.o prips

## prips 0.9.6

=== Makefile ===
# Copyright (C) 2001-2003  Daniel Kelly
# Copyright (C) 2009  Peter Pentchev
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

CFLAGS_OPT?=	-O2
CFLAGS_DBG?=	-g
CFLAGS_WARN?=	-Wall -W -ansi -pedantic -Wbad-function-cast -Wcast-align \
		-Wcast-qual -Wchar-subscripts -Winline -Wmissing-prototypes \
		-Wnested-externs -Wpointer-arith -Wshadow \
		-Wstrict-prototypes -Wwrite-strings \
		-Wsystem-headers -Wno-format-y2k -Winline -Wno-pointer-sign \
		-Wreturn-type -Wswitch -Wunused-parameter

CFLAGS?=	${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_WARN}

CC?=gcc
LIBS?=
RM?=rm -f
GZIP?=		gzip -c9
FALSE?=		false

# Keep this uncommented if you are building prips on a POSIX-compatible
# system.  If you are not sure, chances are that you most probably are.
CFLAGS+=	-DHAVE_POSIX
# Keep this uncommented if your header files provide a definition for
# the POSIX-compatible 32-bit unsigned integer type
CFLAGS+=	-DHAVE_UINT32_T
# If you do NOT have the POSIX-compatible uint32_t type, please specify
# which of the integer types on your platform is 32-bits wide
#CFLAGS+=	-DINT32_T=int

all: prips prips.1.gz

prips: main.o prips.o except.o
	$(CC) $(CFLAGS) $(LIBS) -o prips main.o prips.o except.o
main.o: main.c prips.c
	$(CC) $(CFLAGS) -c main.c

prips.o: prips.c prips.h
	$(CC) $(CFLAGS) -c prips.c 

except.o: except.c except.h
	$(CC) $(CFLAGS) -c except.c

prips.1.gz:	prips.1
	${GZIP} prips.1 > prips.1.gz || (${RM} prips.1.gz; ${FALSE})

clean:	
	$(RM) core *~ *.o prips prips.1.gz

## prips 0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2003  Daniel Kelly
-# Copyright (C) 2009  Peter Pentchev
+# Copyright (C) 2009, 2010  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,15 +46,16 @@
 all: prips prips.1.gz
 
 prips: main.o prips.o except.o
-	$(CC) $(CFLAGS) $(LIBS) -o prips main.o prips.o except.o
+	$(CC) $(LDFLAGS) -o prips main.o prips.o except.o $(LIBS)
+
 main.o: main.c prips.c
-	$(CC) $(CFLAGS) -c main.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c main.c
 
 prips.o: prips.c prips.h
-	$(CC) $(CFLAGS) -c prips.c 
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c prips.c 
 
 except.o: except.c except.h
-	$(CC) $(CFLAGS) -c except.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c except.c
 
 prips.1.gz:	prips.1
 	${GZIP} prips.1 > prips.1.gz || (${RM} prips.1.gz; ${FALSE})

=== debian/changelog ===
prips (0.9.7-1) unstable; urgency=low

  [ Peter Pentchev ]
  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * New upstream release:
    - actually honor CPPFLAGS and LDFLAGS :)
  * Update the copyright file:
    - reflect the Makefile and main.c copyright years bump
    - update to the latest revision of the DEP 5 format
    - bump the year on my debian/* copyright notice
    - break out the GPL-2+ blurb into a separate section
  * Shorten the Vcs-Browser URL.

  [ tony mancill ]
  * Set DM-Upload-Allowed in debian/control so Peter can upload as a DM.
  * Add myself to Uploaders: field.

 -- tony mancill <tmancill@debian.org>  Wed, 30 Jun 2010 19:13:07 -0700

prips (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 04 Apr 2009 15:16:33 +0300

prips (0.9.5-1) unstable; urgency=low

  * New maintainer.  Closes: #519379
  * Fix the date format of the 0.9.4-3 changelog entry.  Closes: #497429
  * Move the debhelper compatibility version to debian/compat.
  * Add a watch file.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser control fields.
  * Convert the copyright file to the machine-parseable format and
    add some copyright notices for the Debian packaging.
  * Bump the debhelper compatibility level to 7:
    - add ${misc:Depends} to the binary package
  * Bump Standards-Version to 3.8.1:
    - the new version honors our CFLAGS, thus honoring DEB_BUILD_OPTIONS
  * Use dh_install to install the prips binary.
  * Minimize the rules file using debhelper 7's dh(1) utility.
  * New upstream version - actually, I adopted the package:
    - remove all the Debian patches - some of them were integrated upstream,
      and the cidr_lp64 one was overtaken by the uint32_t change
    - remove the manpage - integrated upstream, rewritten as mdoc(7)
      and fleshed out a bit
    - remove README.Debian - the upstream has a manpage now :)
  * Use build hardening by default, disabled by the "nohardening" option.
  * Use the -Werror compiler flag if the "werror" option is present.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 27 Mar 2009 19:36:58 +0200

prips (0.9.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CIDR calculations on LP64 architectures, closes: #401709.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 01 Jul 2007 20:09:21 -0400

prips (0.9.4-3) unstable; urgency=low

  * Fix multiline string. Closes: #195017
  * Patches are now applied with dpatch.
  * Install the new manpage from dpatch.
  * Leave the Makefile clean and install the binaries from debian/rules.
  * Update Standards-Version to 3.6.0

 -- Juan Alvarez <jalvarez@fluidsignal.com>  Sat, 23 Aug 2003 11:09:21 -0500

prips (0.9.4-2) unstable; urgency=low

  * Change description according to the suggestions of Christian Kurz 
    <shorty@debian.org>.  Closes: #135527
  * Change Juan Rafael Alvarez Correa to Juan Alvarez in all the files.

 -- Juan Alvarez <jalvarez@fluidsignal.com>  Mon, 25 Feb 2002 09:04:14 -0500

prips (0.9.4-1) unstable; urgency=low

  * Initial Release.
  * Create install section in Makefile.
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Create manual page.

 -- Juan Alvarez <jalvarez@fluidsignal.com>  Sat, 29 Sep 2001 12:17:09 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: prips
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Uploaders: tony mancill <tmancill@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 7), dpkg-dev (>= 1.15.7~), hardening-wrapper
Standards-Version: 3.9.0
Homepage: http://devel.ringlet.net/sysutils/prips/
Vcs-Svn: http://svn.ringlet.net/svn/ringlet/sysutils/prips/trunk/prips-pkg/debian/
Vcs-Browser: http://svn.ringlet.net/v/ringlet/sysutils/prips/trunk/prips-pkg/debian/

Package: prips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Print IP address on a given range
 prips can be used to print all IP addresses of a specified range.
 This allows the enhancement of the usability of tools that have been
 created to work on only one host at a time (e.g. whois).

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
export DEB_BUILD_HARDENING=1
else
export DEB_BUILD_HARDENING=0
endif

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

## prips 0.9.9

=== debian/changelog ===
prips (0.9.9-1) unstable; urgency=low

  * New upstream release to fix a possible infinite loop in getopt()
    on systems where char is unsigned.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Mar 2011 15:46:27 +0200

prips (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Reword the short and long descriptions.
  * Refresh the copyright file:
    - note the new upstream copyright years
    - update to the latest DEP 5 candidate format
    - bump the year on my debian/* copyright notice
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 17:43:23 +0200

prips (0.9.7-2) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Use hardening-includes instead of hardening-wrapper so that
    the hardening flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 25 Dec 2010 00:07:15 +0200

=== debian/control ===
Source: prips
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Uploaders: tony mancill <tmancill@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~), hardening-includes
Standards-Version: 3.9.1
Homepage: http://devel.ringlet.net/sysutils/prips/
Vcs-Git: git://gitorious.org/prips/pkg-debian.git
Vcs-Browser: http://gitorious.org/prips/pkg-debian

Package: prips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool that prints the IP addresses in a given range
 prips can be used to print all of the IP addresses in a given range.
 This allows the enhancement of tools only work on one host at
 a time (e.g. whois).

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,11 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	CFLAGS+=	-Werror
 endif
+
+include /usr/share/hardening-includes/hardening.make
 ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
-export DEB_BUILD_HARDENING=1
-else
-export DEB_BUILD_HARDENING=0
+CFLAGS+=	$(HARDENING_CFLAGS)
+LDFLAGS+=	$(HARDENING_LDFLAGS)
 endif
 
 export CFLAGS CPPFLAGS LDFLAGS

=== debian/watch ===
version=3
http://devel.ringlet.net/sysutils/prips/ prips-([.\d]+)\.tar.gz

## prips 1.0.0

=== debian/changelog ===
prips (1.0.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to the 1.0 format
    - switch the Vcs fields to my full-source GitLab repository and change
      them both to the HTTPS scheme
    - drop the DM-Upload-Allowed source control field
  * Bump the debhelper compatibility level to 10:
    - use the compiler and linker flags supplied by debhelper itself
    - bump the debhelper build dependency version to one where v10 support
      is no longer considered experimental
    - override the Lintian debhelper version warning as it itself suggests
  * Use dpkg-dev's defaults for the debian tarball compression.
  * Let uscan check the PGP signature; add the upstream (mine) signing key.
  * Add Multi-Arch: foreign to the binary package.
  * Add an upstream metadata file.
  * Teach the watch file to also look for links to /files/sys/prips/ on
    the upstream site.
  * New upstream version:
    - remove the dirs, install, and manpages files, the upstream Makefile
      has an "install" target now
    - pass the correct paths to the "install" target
    - fold all the upstream source under a single Files section in
      the copyright file and update the copyright years
  * Add an autopkgtest suite.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 11 Apr 2016 12:37:32 +0300

=== debian/control ===
Source: prips
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>> 9.20160403~)
Standards-Version: 3.9.8
Homepage: http://devel.ringlet.net/sysutils/prips/
Vcs-Git: https://gitlab.com/prips/prips.git -b debian
Vcs-Browser: https://gitlab.com/prips/prips/tree/debian
Testsuite: autopkgtest

Package: prips
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool that prints the IP addresses in a given range
 prips can be used to print all of the IP addresses in a given range.
 This allows the enhancement of tools only work on one host at
 a time (e.g. whois).

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://devel.ringlet.net/sysutils/prips/ (?:/files/sys/prips/)?prips-([.\d]+)\.tar.(?:gz|xz)

## prips 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2003  Daniel Kelly
-# Copyright (C) 2009, 2010  Peter Pentchev
+# Copyright (C) 2009, 2010, 2013, 2016  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,13 +15,27 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
+PROG=		prips
+MAN1=		${PROG}.1
+MAN1GZ=		${MAN1}.gz
+
+LOCALBASE?=	/usr/local
+PREFIX?=	${LOCALBASE}
+BINDIR?=	${PREFIX}/bin
+MANDIR?=	${PREFIX}/man/man
+DOCSDIR?=	${PREFIX}/share/doc/${PROG}
+EXAMPLESDIR?=	${DOCSDIR}/examples
+
+CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
+CPPFLAGS+=	${CPPFLAGS_STD}
+
 CFLAGS_OPT?=	-O2
 CFLAGS_DBG?=	-g
-CFLAGS_WARN?=	-Wall -W -ansi -pedantic -Wbad-function-cast -Wcast-align \
+CFLAGS_WARN?=	-Wall -W -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
 		-Wcast-qual -Wchar-subscripts -Winline -Wmissing-prototypes \
 		-Wnested-externs -Wpointer-arith -Wshadow \
 		-Wstrict-prototypes -Wwrite-strings \
-		-Wsystem-headers -Wno-format-y2k -Winline -Wno-pointer-sign \
+		-Wno-format-y2k -Winline -Wno-pointer-sign \
 		-Wreturn-type -Wswitch -Wunused-parameter
 
 CFLAGS?=	${CFLAGS_OPT} ${CFLAGS_DBG}
@@ -29,9 +43,11 @@
 
 CC?=gcc
 LIBS?=
+MKDIR?=		mkdir -p
 RM?=rm -f
 GZIP?=		gzip -c9
 FALSE?=		false
+INSTALL?=	install
 
 # Keep this uncommented if you are building prips on a POSIX-compatible
 # system.  If you are not sure, chances are that you most probably are.
@@ -43,9 +59,21 @@
 # which of the integer types on your platform is 32-bits wide
 #CFLAGS+=	-DINT32_T=int
 
-all: prips prips.1.gz
+BINOWN?=	root
+BINGRP?=	root
+BINMODE?=	755
 
-prips: main.o prips.o except.o
+MANOWN?=	${BINOWN}
+MANGRP?=	${BINGRP}
+MANMODE?=	644
+
+SHAREOWN?=	${BINOWN}
+SHAREGRP?=	${BINGRP}
+SHAREMODE?=	644
+
+all: ${PROG} ${MAN1GZ}
+
+${PROG}: main.o prips.o except.o
 	$(CC) $(LDFLAGS) -o prips main.o prips.o except.o $(LIBS)
 
 main.o: main.c prips.c
@@ -57,8 +85,21 @@
 except.o: except.c except.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c except.c
 
-prips.1.gz:	prips.1
-	${GZIP} prips.1 > prips.1.gz || (${RM} prips.1.gz; ${FALSE})
+${MAN1GZ}:	${MAN1}
+	${GZIP} ${MAN1} > ${MAN1GZ} || (${RM} ${MAN1GZ}; ${FALSE})
 
 clean:	
-	$(RM) core *~ *.o prips prips.1.gz
+	$(RM) core *~ *.o ${PROG} ${MAN1GZ}
+
+test:	all
+	prove t
+
+install:	all
+	${MKDIR} ${DESTDIR}${BINDIR}
+	${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
+	${MKDIR} ${DESTDIR}${MANDIR}1
+	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+	${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
+	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+
+.PHONY:	all clean test install

=== debian/changelog ===
prips (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add the year 2016 to my debian/* copyright notice.
  * Update the watch file to version 4 and use substitution variables.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 03 Jan 2017 16:11:54 +0200

prips (1.0.0-2) unstable; urgency=medium

  * Depend on debhelper 10 now that it is in unstable, testing, and
    jessie-backports.  Drop the Lintian override about the version.
  * Switch to the HTTPS scheme for various Debian and upstream URLs.
  * Add the year 2016 to my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 03 Nov 2016 20:46:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>> 9.20160403~)
+Build-Depends: debhelper (>> 10)
 Standards-Version: 3.9.8
-Homepage: http://devel.ringlet.net/sysutils/prips/
+Homepage: https://devel.ringlet.net/sysutils/prips/
 Vcs-Git: https://gitlab.com/prips/prips.git -b debian
 Vcs-Browser: https://gitlab.com/prips/prips/tree/debian
 Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	DEB_CFLAGS_MAINT_APPEND+=	-Werror
	export DEB_CFLAGS_MAINT_APPEND
endif

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man
%:
	dh $@

## prips 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2003  Daniel Kelly
-# Copyright (C) 2009, 2010, 2013, 2016  Peter Pentchev
+# Copyright (C) 2009, 2010, 2013, 2016, 2018  Peter Pentchev
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -71,6 +71,11 @@
 SHAREGRP?=	${BINGRP}
 SHAREMODE?=	644
 
+STRIP?=		-s
+
+INSTALL_PROGRAM?=	${INSTALL} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_DATA?=		${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
+
 all: ${PROG} ${MAN1GZ}
 
 ${PROG}: main.o prips.o except.o
@@ -96,10 +101,10 @@
 
 install:	all
 	${MKDIR} ${DESTDIR}${BINDIR}
-	${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
+	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
 	${MKDIR} ${DESTDIR}${MANDIR}1
-	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+	${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
 	${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
-	${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+	${INSTALL_DATA} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
 
 .PHONY:	all clean test install

=== debian/changelog ===
prips (1.0.2-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.3:
    - drop the implied "Testsuite: autopkgtest" source control field
  * Bump the year on my debian/* copyright notice.
  * Remove the trailing whitespace from an old changelog entry.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.
  * Bump the debhelper compatibility level to 11 with no changes.
  * New upstream release, update the copyright years.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 15 Jan 2018 12:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>> 10)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>> 11~)
+Standards-Version: 4.1.3
 Homepage: https://devel.ringlet.net/sysutils/prips/
 Vcs-Git: https://gitlab.com/prips/prips.git -b debian
 Vcs-Browser: https://gitlab.com/prips/prips/tree/debian
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: prips
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man
+	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
+		INSTALL_PROGRAM='install -m 755' \
+		INSTALL_DATA='install -m 644'
+
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: env PRIPS='/usr/bin/prips' prove -v /usr/share/doc/prips/examples/tests
Depends: @, perl

## prips 1.1.0

=== debian/changelog ===
prips (1.1.0-1) unstable; urgency=low

  * Use my Debian address as maintainer.
  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Use the B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 May 2018 01:04:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: prips
 Section: net
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
+Maintainer: Peter Pentchev <roam@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>> 11~)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 11)
+Standards-Version: 4.1.4
 Homepage: https://devel.ringlet.net/sysutils/prips/
 Vcs-Git: https://gitlab.com/prips/prips.git -b debian
 Vcs-Browser: https://gitlab.com/prips/prips/tree/debian

## prips 1.1.1

=== debian/changelog ===
prips (1.1.1-2) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Add the year 2019 to my debian/* copyright notice.
  * Use the test-name autopkgtest feature.
  * Add a simple git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 13:52:46 +0200

prips (1.1.1-1) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.3.0: install the upstream
    release notes (ChangeLog) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add trivial autopkgtests running adequate and feature-check.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * Bump the debhelper compatibility level to 12 with no changes.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Tue, 25 Dec 2018 20:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Uploaders: tony mancill <tmancill@debian.org>
-Build-Depends: debhelper-compat (= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/sysutils/prips/
-Vcs-Git: https://gitlab.com/prips/prips.git -b debian
-Vcs-Browser: https://gitlab.com/prips/prips/tree/debian
+Vcs-Git: https://gitlab.com/prips/prips.git -b debian/master
+Vcs-Browser: https://gitlab.com/prips/prips/tree/debian/master
 Rules-Requires-Root: no
 
 Package: prips

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,9 @@
 		INSTALL_PROGRAM='install -m 755' \
 		INSTALL_DATA='install -m 644'
 
+override_dh_installchangelogs:
+	dh_installchangelogs -X ChangeLog
+	install -m 644 ChangeLog debian/prips/usr/share/doc/prips/NEWS
+
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: env PRIPS='/usr/bin/prips' prove -v /usr/share/doc/prips/examples/tests
Depends: @, perl
Features: test-name=upstream

Test-Command: adequate prips
Depends: @, adequate
Features: test-name=adequate

Test-Command: feature-check prips prips
Depends: @, feature-check
Features: test-name=feature-check

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/prips/ (?:/files/sys/prips/)?prips-@ANY_VERSION@@ARCHIVE_EXT@

## prips 1.2.0

=== debian/changelog ===
prips (1.2.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Use dh-package-notes to record ELF metadata.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use debhelper compat level 14:
    - use the X-DH-Compat field
    - pass --destdir to the overridden dh_auto_install command
    - let debhelper take care of some default dependencies
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Wed, 28 Aug 2024 21:57:54 +0300

prips (1.2.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Explicitly specify dh-sequence-single-binary as a build dependency.
  * New upstream release:
    - stops after printing the last IPv4 address; Closes: #1001923
    - outputs the correct 0.0.0.0/0 CIDR range when necessary;
      Closes: 1001924

 -- Peter Pentchev <roam@debian.org>  Sun, 19 Dec 2021 03:26:01 +0200

prips (1.1.1-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Mark the feature-check autopkgtest as superficial.
  * Bump the debhelper compat level to 13 with no changes.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 18:58:46 +0300

=== debian/control ===
Source: prips
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Uploaders:
 tony mancill <tmancill@debian.org>,
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/sysutils/prips/
Vcs-Git: https://gitlab.com/prips/prips.git -b debian/master
Vcs-Browser: https://gitlab.com/prips/prips/tree/debian/master
X-Style: black

Package: prips
Architecture: any
Multi-Arch: foreign
Description: tool that prints the IP addresses in a given range
 prips can be used to print all of the IP addresses in a given range.
 This allows the enhancement of tools only work on one host at
 a time (e.g. whois).

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,14 @@
 	export DEB_CFLAGS_MAINT_APPEND
 endif
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
+	dh_auto_install --destdir '${CURDIR}/debian/prips' -- \
+		PREFIX=/usr \
+		MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' \
 		INSTALL_DATA='install -m 644'

=== debian/tests/control ===
Test-Command: env PRIPS='/usr/bin/prips' prove -v /usr/share/doc/prips/examples/tests
Depends:
 perl,
 @,
Features:
 test-name=upstream,

Test-Command: feature-check prips prips
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,

## prips 1.2.2

=== debian/changelog ===
prips (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Sat, 12 Apr 2025 17:46:09 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-package-notes,
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/sysutils/prips/
 Vcs-Git: https://gitlab.com/prips/prips.git -b debian/master

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 		INSTALL_DATA='install -m 644'
 
 override_dh_installchangelogs:
-	dh_installchangelogs -X ChangeLog
-	install -m 644 ChangeLog debian/prips/usr/share/doc/prips/NEWS
+	dh_installchangelogs -X changes.md
+	install -m 644 docs/changes.md debian/prips/usr/share/doc/prips/NEWS
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/prips/download/ https://devel.ringlet.net/files/sys/prips/prips-@ANY_VERSION@@ARCHIVE_EXT@

## prips 1.3.1

=== c/Makefile ===
# SPDX-FileCopyrightText: 2001-2003  Daniel Kelly
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: GPL-2.0-or-later

PROG=		prips

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
DOCSDIR?=	${PREFIX}/share/doc/${PROG}
EXAMPLESDIR?=	${DOCSDIR}/examples

CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
CPPFLAGS+=	${CPPFLAGS_STD}

CFLAGS_OPT?=	-O2
CFLAGS_DBG?=	-g
CFLAGS_WARN?=	-Wall -W -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
		-Wcast-qual -Wchar-subscripts -Winline -Wmissing-prototypes \
		-Wnested-externs -Wpointer-arith -Wshadow \
		-Wstrict-prototypes -Wwrite-strings \
		-Wno-format-y2k -Winline -Wno-pointer-sign \
		-Wreturn-type -Wswitch -Wunused-parameter

CFLAGS?=	${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_WARN}

CC?=gcc
LIBS?=
MKDIR?=		mkdir -p
RM?=rm -f
GZIP?=		gzip -c9
FALSE?=		false
INSTALL?=	install

# Keep this uncommented if you are building prips on a POSIX-compatible
# system.  If you are not sure, chances are that you most probably are.
CFLAGS+=	-DHAVE_POSIX
# Keep this uncommented if your header files provide a definition for
# the POSIX-compatible 32-bit unsigned integer type
CFLAGS+=	-DHAVE_UINT32_T
# If you do NOT have the POSIX-compatible uint32_t type, please specify
# which of the integer types on your platform is 32-bits wide
#CFLAGS+=	-DINT32_T=int

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

STRIP?=		-s

INSTALL_PROGRAM?=	${INSTALL} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_DATA?=		${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}

all: ${PROG}

${PROG}: main.o prips.o except.o
	$(CC) $(LDFLAGS) -o prips main.o prips.o except.o $(LIBS)

main.o: main.c prips.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c main.c

prips.o: prips.c prips.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c prips.c 

except.o: except.c except.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c except.c

clean:	
	$(RM) core *~ *.o ${PROG}

test:	all
	prove ../t

install:	all
	${MKDIR} ${DESTDIR}${BINDIR}
	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
	${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
	${INSTALL_DATA} ../t/*.t ../t/tap-functions.sh ${DESTDIR}${EXAMPLESDIR}/tests/

.PHONY:	all clean test install

=== debian/changelog ===
prips (1.3.1-1) unstable; urgency=medium

  * Convert the watch file to version 5 of the format.
  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add a superficial `debputy reformat` autopkgtest.
  * New upstream release:
    - drop the install-tap-functions patch, integrated upstream
    - reflect the push of the upstream C implementation to the c/
      source subdirectory
    - also install the manual page now that the C implementation's
      Makefile no longer does that
    - update the upstream copyright information, reflect the partial
      switch to yearless copyright notices
    - also drop the years from my debian/* copyright notice
  * Install the Rust implementation.

 -- Peter Pentchev <roam@debian.org>  Sat, 17 Jan 2026 13:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: prips
 Section: net
-Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
 Build-Depends:
  debhelper (>> 13.15.2~),
- dh-package-notes,
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
-Standards-Version: 4.7.2
+ cargo,
+ librust-clap-derive-dev,
+ librust-clap-dev,
+ librust-eyre-dev,
+ librust-itertools-dev,
+ librust-nom-dev,
+ librust-rstest-dev,
+ librust-winnow-dev,
+Standards-Version: 4.7.3
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/sysutils/prips/
 Vcs-Git: https://gitlab.com/prips/prips.git -b debian/master

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

override_dh_auto_build:
	mkdir -p rust/.cargo
	install -m 644 -- debian/cargo-config.toml rust/.cargo/config.toml
	{ \
		set -e; \
		cd -- rust; \
		cargo build --release; \
	}

execute_after_dh_installexamples:
	mv \
		-- \
		debian/prips/usr/share/doc/prips/examples/t \
		debian/prips/usr/share/doc/prips/examples/tests \
	#

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md
	install -m 644 docs/changes.md debian/prips/usr/share/doc/prips/NEWS

%:
	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,12 @@
  test-name=feature-check,
 Restrictions:
  superficial,
+
+Test-Command: debputy reformat --no-auto-fix --linter-exit-code
+Depends:
+ dh-debputy,
+ python3-lsprotocol,
+Features:
+ test-name=debian-debputy,
+Restrictions:
+ superficial,

=== debian/watch ===
Version: 5

Source: https://devel.ringlet.net/sysutils/prips/download/
Matching-Pattern: https://devel.ringlet.net/files/sys/prips/prips-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/
